# idTweaks

![Lint Badge](https://img.shields.io/endpoint?url=https://gist.githubusercontent.com/Industrial/8375a84ebf88587fbc924582831f7678/raw/lint.json)
![Test Badge](https://img.shields.io/endpoint?url=https://gist.githubusercontent.com/Industrial/8375a84ebf88587fbc924582831f7678/raw/test.json)
![Deploy Badge](https://img.shields.io/endpoint?url=https://gist.githubusercontent.com/Industrial/8375a84ebf88587fbc924582831f7678/raw/deploy.json)

World of Warcraft AddOn. Automates many things with UI Options for each. Type
`/idt` or `/idtweaks` to start configuring.

Do you have an idea or suggestion? Leave a comment here or open a ticket on
github (https://github.com/Industrial/idTweaks).

## Modules

### Automation
- All versions (BC & Retail)
  - Accept
    - Hearthstone Bind
    - PVP Release
    - Resurrection
    - Summon
  - Vendor
    - Sell Grey Items
    - Repair
- Retail
  - Summon Favorite Minipet
- BC
  - Dismount.

### BlizzardUI
- All versions (BC & Retail)
  - Hide
    - Buffs
    - Castingbar
    - Error messages

### Chat
- All versions (BC & Retail)
  - Slash Commands (/rl, /lfg)
    - /rl for Reload UI
    - /lfg for Looking For Group
  - Messages
    - Loot
    - XP
    - Rep
    - Achievements
    - Skill
    - System

### Mail
- All versions (BC & Retail)
  - Send mail when 12th item and sender are filled.

### Minimap
- All versions (BC & Retail)
  - Zoom with Mousewheel
  - Hide
    - Area Text
    - Calendar Button
    - North Tag
    - Time Display
    - World Map Button
    - Zoom Buttons
  - Shape
    - Square
- BC
  - Hide
    - Close Button

### Questing
- All versions (BC & Retail)
  - Accept Quests
  - Complete Quests (No reward)
  - Complete Gossip (1 option available)

### Tooltips
- All versions (BC & Retail)
  - Anchor
    - Top Left
    - Top Right
    - Cursor Center
    - Cursor Left
    - Cursor Right
    - Bottom Left
    - Bottom Right
  - Offset
    - X
    - Y
